Subject: Re: [art] Against BCP 190
From: Leif Johansson <[email-masked]>
To: Adam Roach <[email-masked]>, [email-masked]
Date: Tue, 23 Jul 2019 17:28:59 +0200
List-Id: Applications and Real-Time Area Discussion <art.ietf.org>

On 2019-07-23 08:32, Adam Roach wrote:
> On 7/23/19 01:44, Leif Johansson wrote:
>> Thank you Adam,
>>
>> This was a great summary for somebody like me who sorta heard about
>> the issue for the first time today.
>>
>> Your summary provokes a questions tho:
>>
>>> In this specific case, the IETF wrote down consensus around the general
>>> principles of stewardship for the URI namespace, and then a working
>>> group without charter to deal with that topic came to a decision
>>> contrary to that consensus.
>> Has there been any similar situations before involving BCP190 and how
>> where those issues resolved?
> 
> 
> There have been a number of similar situations involving BCP 190, at
> varying phases of document development. In my time on the IESG, I can
> recall roughly two cases in which draft authors contacted the ART area
> directors to ask advice while a specification was under development in a
> working group, and there have been probably as many that reached IESG
> evaluation before the issue was identified as blocking.
> 
> In the cases where the issue was discussed while still the document was
> under development, the documents were easily adapted to conform to the
> normative requirements of BCP 190. One of these discussions did form
> part of the impetus that eventually led to the revision of RFC 5785
> (which defined .well-known) by RFC 8615, as that discussion did turn up
> a desire in the community to relax some of the constraints that
> originally existed in RFC 5785 (including the one mentioned during
> today's ARTAREA meeting).
> 
> In the cases where the issue was only discovered in IESG review, the
> documents have gone back to their respective working groups for further
> discussion. Prior to the current conversation involving the TRANS
> document, the working groups whose documents were found to have BCP 190
> issues made the minimal protocol changes necessary to meet its
> requirements.
> 
> It's notable that discovering these issues earlier in the process
> universally had better outcomes than discovering them during IESG
> review. To that end, the IESG has begun the effort of compiling a list
> of technologies that are likely to require expert input if used outside
> the working groups in which core expertise resides. The final steps of
> this task are on my plate, and I hope to get to them shortly after I
> recover from the current face-to-face meeting. The hope is that we will
> be able to keep the chairs of various working groups apprised of this
> list of technologies, so that such expert input can be sought earlier in
> the process, when it is less likely to cause unwelcome surprises for
> working group participants.
> 
> /a
> 

Thank you, that is very helpful.

I am having trouble articulating the sense of unease I am feeling
over this issue...

The best I can muster right now is this: Reading section 2.3 of BCP190
I see nothing whatsoever that speaks to the interoperability concerns
that motivate the normative language in that (or for that matter any
other) section of BCP190.

In other words: what parts of the web will crash and burn as the result
of CT having an API that specifies a uri structure outside .well-known?

I'm sure there is a perfectly reasonable answer to that question. Maybe
this understanding is what the CT WG needs in order to get past this
issue??

	Cheers Leif